kdecore Library: class class class class class class class class class class class class class class class class class Debug message generators (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# class class class class class class class class class class class class class class class class class Debug message generators

## Classes
class | kdbgstream
| kdbgstream is a text stream that allows you to print debug messages. More...
class | kdbgstream
| kdbgstream is a text stream that allows you to print debug messages. More...
class | kndbgstream
| kndbgstream is a dummy variant of kdbgstream. More...
## Defines
#define | k_funcinfo "[" << __FILE__ << ":" << __LINE__ << "] "
#define | k_lineinfo "[" << __FILE__ << ":" << __LINE__ << "] "
## Typedefs
typedef kdbgstream &(* | KDBGFUNC )(kdbgstream &)
typedef kndbgstream &(* | KNDBGFUNC )(kndbgstream &)
## Functions
KDECORE_EXPORT kdbgstream & | perror (kdbgstream &s)
kndbgstream & | endl (kndbgstream &s)
kndbgstream & | flush (kndbgstream &s)
kndbgstream & | perror (kndbgstream &s)
KDECORE_EXPORT kdbgstream | kdDebug (bool cond, int area=0)
kndbgstream | kndDebug (int area=0)
kndbgstream | kndDebug (bool, int=0)
QString | kndBacktrace ()
QString | kndBacktrace (int)
KDECORE_EXPORT kdbgstream | kdWarning (bool cond, int area=0)
KDECORE_EXPORT kdbgstream | kdError (bool cond, int area=0)
KDECORE_EXPORT kdbgstream | kdFatal (bool cond, int area=0)
template<class T>
kdbgstream & | kdbgstream::operator<< (const QValueList< T > &list)
kdbgstream & | KGlobal::endl (kdbgstream &s)
kdbgstream & | KGlobal::flush (kdbgstream &s)
KDECORE_EXPORT kdbgstream | KGlobal::kdDebug (int area=0)
KDECORE_EXPORT QString | KGlobal::kdBacktrace ()
KDECORE_EXPORT QString | KGlobal::kdBacktrace (int levels)
KDECORE_EXPORT kdbgstream | KGlobal::kdWarning (int area=0)
KDECORE_EXPORT kdbgstream | KGlobal::kdError (int area=0)
KDECORE_EXPORT kdbgstream | KGlobal::kdFatal (int area=0)
KDECORE_EXPORT void | KGlobal::kdClearDebugConfig ()

## Detailed Description

KDE debug message streams let you and the user control just how many debug messages you see.

## Function Documentation

kndbgstream& endl | ( | kndbgstream & | s | ) | `[inline]`

  | Does nothing. Parameters:
  | s | a stream
Returns: the given `s` Definition at line 583 of file kdebug.h. Referenced by KVMAllocator::allocate(), KIconLoader::alphaBlending(), KApplication::checkRecoverFile(), KAccel::connectItem(), KTempDir::create(), KCalendarSystemFactory::create(), KStartupInfo::createNewStartupId(), KIconLoader::currentSize(), KCalendarSystemJalali::day(), KAccel::emitKeycodeChanged(), KLibrary::factory(), KLibLoader::findLibrary(), KStandardDirs::findResource(), KStandardDirs::findResourceDir(), KVMAllocator::free(), KLibLoader::globalLibrary(), KConfigDialogManager::hasChanged(), KIconLoader::iconPath(), KShortcut::init(), KKeySequence::init(), KKey::init(), KKeyNative::init(), KKeyServer::initializeMods(), KStartupInfoId::initId(), KKeyServer::Sym::initQt(), KApplication::invokeBrowser(), KApplication::invokeHelp(), KApplication::invokeHTMLHelp(), KApplication::invokeMailer(), KDesktopFile::isAuthorizedDesktopFile(), KAccel::KAccel(), KConfigSkeleton::KConfigSkeleton(), KGlobalAccel::KGlobalAccel(), KProcIO::KProcIO(), KLocale::langLookup(), KLibLoader::library(), KIconLoader::loadAnimated(), KIconLoader::loadIcon(), KIconLoader::loadIconSet(), KKeyServer::modToModX(), KCalendarSystemJalali::month(), KIconLoader::moviePath(), KConfigDialogManager::parseChildren(), KIconLoader::queryIcons(), KIconLoader::queryIconsByContext(), KConfigSkeleton::readConfig(), KShortcutList::readSettings(), KStandardDirs::resourceDirs(), KStandardDirs::saveLocation(), KStartupInfo::sendChange(), KStartupInfo::sendChangeX(), KStartupInfo::sendFinish(), KStartupInfo::sendFinishX(), KStartupInfo::sendStartup(), KStartupInfo::sendStartupX(), KAccel::setShortcut(), KProcess::setupCommunication(), KProcess::slotSendData(), KUniqueApplication::start(), KProcess::start(), KLibrary::symbol(), KApplication::tempSaveName(), KLocale::translate(), KLocale::translateQt(), KIconLoader::unknown(), KMD4::update(), KMD5::update(), KConfigDialogManager::updateSettings(), KConfigDialogManager::updateWidgets(), KConfigSkeleton::writeConfig(), KShortcutList::writeSettings(), KCalendarSystemJalali::year(), and KLibLoader::~KLibLoader().

kndbgstream& flush | ( | kndbgstream & | s | ) | `[inline]`

  | Does nothing. Parameters:
  | s | a stream
Returns: the given `s` Definition at line 589 of file kdebug.h. Referenced by kdbgstream::operator<<().

kndbgstream kndDebug | ( | int | area = `0` | ) | `[inline]`

  | Returns a dummy debug stream. The stream does not print anything. Parameters:
  | area | an id to identify the output, 0 for default
See also: kdDebug() Definition at line 620 of file kdebug.h.

template<class T>
kdbgstream & kdbgstream::operator<< | ( | const QValueList< T > & | list | ) | `[inherited]`

  | Prints the given value. Parameters:
  | list | the list to print
Returns: this stream Since: 3.3 Definition at line 410 of file kdebug.h. References QValueList::end().

kdbgstream & endl | ( | kdbgstream & | s | ) | `[related, inherited]`

  | Prints an "\n". Parameters:
  | s | the debug stream to write to
Returns: the debug stream (`s`) Definition at line 430 of file kdebug.h.

kdbgstream & flush | ( | kdbgstream & | s | ) | `[related, inherited]`

  | Flushes the stream. Parameters:
  | s | the debug stream to write to
Returns: the debug stream (`s`) Definition at line 438 of file kdebug.h. References kndbgstream::flush().

KDECORE_EXPORT kdbgstream kdDebug | ( | int | area = `0` | ) | `[related, inherited]`

  | Returns a debug stream. You can use it to print debug information. Parameters:
  | area | an id to identify the output, 0 for default
See also: kndDebug() Definition at line 317 of file kdebug.cpp.

KDECORE_EXPORT QString kdBacktrace | ( |  | ) | `[related, inherited]`

| Returns a backtrace. Returns: a backtrace Definition at line 578 of file kdebug.cpp.

KDECORE_EXPORT QString kdBacktrace | ( | int | levels | ) | `[related, inherited]`

  | Returns a backtrace. Parameters:
  | levels | the number of levels of the backtrace
Returns: a backtrace Since: 3.1 Definition at line 553 of file kdebug.cpp. References QString::fromLatin1(), and QString::number().

KDECORE_EXPORT kdbgstream kdWarning | ( | int | area = `0` | ) | `[related, inherited]`

  | Returns a warning stream. You can use it to print warning information. Parameters:
  | area | an id to identify the output, 0 for default
Definition at line 322 of file kdebug.cpp.

KDECORE_EXPORT kdbgstream kdError | ( | int | area = `0` | ) | `[related, inherited]`

  | Returns an error stream. You can use it to print error information. Parameters:
  | area | an id to identify the output, 0 for default
Definition at line 320 of file kdebug.cpp.

KDECORE_EXPORT kdbgstream kdFatal | ( | int | area = `0` | ) | `[related, inherited]`

  | Returns a fatal error stream. You can use it to print fatal error information. Parameters:
  | area | an id to identify the output, 0 for default
Definition at line 324 of file kdebug.cpp.

KDECORE_EXPORT void kdClearDebugConfig | ( |  | ) | `[related, inherited]`

| Deletes the kdebugrc cache and therefore forces KDebug to reread the config file. Definition at line 583 of file kdebug.cpp.

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003